summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorWilliam Jon McCann <jmccann@redhat.com>2010-10-13 20:39:15 -0400
committerWilliam Jon McCann <jmccann@redhat.com>2010-10-13 20:47:23 -0400
commite471b4d2fec8bf53d6ac7e533e774d0fc9bfc83e (patch)
tree44f68f1fdfee413b94dc251b5d8e8f420e7a771f /autogen.sh
downloadgnome-themes-standard-e471b4d2fec8bf53d6ac7e533e774d0fc9bfc83e.tar.gz
Initial commit
Adwaita theme was originally developed in gtk-engines 2.90 and created by Hylke Bons, Lapo Calamandrei, and Jakub Steiner
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..73198f8f
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="gnome-themes-standard"
+REQUIRED_AUTOMAKE_VERSION=1.9
+
+(test -f $srcdir/configure.ac \
+ && test -d $srcdir/themes) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME git"
+ exit 1
+}
+USE_GNOME2_MACROS=1 . gnome-autogen.sh